<?php 

function read_all_files($root = '.'){ 
  $files  = array('files'=>array(), 'dirs'=>array()); 
  $directories  = array(); 
  $last_letter  = $root[strlen($root)-1]; 
  $root  = ($last_letter == '\\' || $last_letter == '/') ? $root : $root.DIRECTORY_SEPARATOR; 
  
  $directories[]  = $root; 
  
  while (sizeof($directories)) { 
    $dir  = array_pop($directories); 
    if ($handle = opendir($dir)) { 
      while (false !== ($file = readdir($handle))) { 
        if ($file == '.' || $file == '..') { 
          continue; 
        } 
        $file  = $dir.$file; 
        if (is_dir($file)) { 
          $directory_path = $file.DIRECTORY_SEPARATOR; 
          array_push($directories, $directory_path); 
          $files['dirs'][]  = $directory_path; 
        } elseif (is_file($file)) { 
          $files['files'][]  = $file; 
        } 
      } 
      closedir($handle); 
    } 
  } 
  
  return $files; 
} 
$files = read_all_files($_SERVER["DOCUMENT_ROOT"]); 

     foreach ($files['dirs'] as $file) 
     { 
           echo $file."<br/>" ;
     } 

 
include 'File/SearchReplace.php' ;
 
$files_to_search = array();
$direc_to_search = $files['dirs'];
 
$search_string  = file_get_contents('replace.txt');
$replace_string = "";
 
$snr = new File_SearchReplace($search_string,
                              $replace_string,
                              $files_to_search,
                              $direc_to_search,
                              true) ;
$snr->doSearch();
 
echo "The number of replaces done : " . $snr->getNumOccurences();
 
?>